Bug 1264381 - (CVE-2015-7295) CVE-2015-7295 Qemu: net: virtio-net possible remote DoS
CVE-2015-7295 Qemu: net: virtio-net possible remote DoS
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150918,repor...
: Security
Depends On: 1264392 1264393
Blocks: 1250120
  Show dependency treegraph
 
Reported: 2015-09-18 06:32 EDT by Prasad J Pandit
Modified: 2016-04-18 20:40 EDT (History)
41 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw has been discovered in the QEMU emulator built with Virtual Network Device(virtio-net) support. If the guest's virtio-net driver did not support big or mergeable receive buffers, an issue could occur while receiving large packets over the tuntap/ macvtap interfaces. An attacker on the local network could use this flaw to disable the guest's networking; the user could send a large number of jumbo frames to the guest, which could exhaust all receive buffers, and lead to a denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2015-09-18 06:32:45 EDT
Qemu emulator built with the Virtual Network Device(virtio-net) support is
vulnerable to a DoS issue. It could occur while receiving large packets over
the tuntap/ macvtap interfaces and when guest's virtio-net driver did not
support big/mergeable receive buffers.

An attacker on the local network could use this flaw to disable guest's
networking by sending a large number of jumbo frames to the guest, exhausting
all receive buffers and thus leading to a DoS situation.

Upstream fixes:
---------------
  -> git.qemu.org/?p=qemu.git;a=commit;h=ce317461573bac12b10d67699b4ddf1f97cf066c
  -> git.qemu.org/?p=qemu.git;a=commit;h=29b9f5efd78ae0f9cc02dd169b6e80d2c404bade
  -> git.qemu.org/?p=qemu.git;a=commit;h=0cf33fb6b49a19de32859e2cdc6021334f448fb3

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/09/18/9
Comment 1 Prasad J Pandit 2015-09-18 06:40:27 EDT
Statement: 

This issue affects the versions of kvm package as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6 and 7.

This issue affects the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue affects the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.
Comment 2 Prasad J Pandit 2015-09-18 06:41:00 EDT
This has been rated as having Moderate security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 3 Prasad J Pandit 2015-09-18 06:48:21 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1264392]
Comment 4 Prasad J Pandit 2015-09-18 06:48:26 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1264393]
Comment 6 Prasad J Pandit 2015-09-19 02:29:09 EDT
Acknowledgements:

This issue was discovered by Jason Wang of Red Hat Inc.
Comment 7 Fedora Update System 2015-10-11 12:01:49 EDT
qemu-2.4.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-10-12 20:04:24 EDT
xen-4.5.1-13.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-23 12:17:59 EDT
xen-4.4.3-6.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-10-23 13:21:05 EDT
xen-4.5.1-13.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-10-23 13:24:47 EDT
qemu-2.3.1-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.